aboutsummaryrefslogtreecommitdiffstats
path: root/bitbake
diff options
context:
space:
mode:
authorEd Bartosh <ed.bartosh@linux.intel.com>2016-04-06 17:46:25 +0100
committerRichard Purdie <richard.purdie@linuxfoundation.org>2016-04-06 23:10:28 +0100
commitb1a919a92a95c7c649cde7a57480378c11988ef7 (patch)
treeb071652c000515e3c1ff42fe078f73e925557315 /bitbake
parent590a8159aa975db7c22879dddf47211136923feb (diff)
downloadopenembedded-core-contrib-b1a919a92a95c7c649cde7a57480378c11988ef7.tar.gz
bitbake: toaster: update conf/local.conf
Added 'INHERIT+="toaster buildhistory"' line to the conf/local conf when Toaster starts. It should make commandline builds to provide all required information to Toaster backend. (Bitbake rev: 1271cf430087c66f87c46689b37b8a3538c35739) Signed-off-by: Ed Bartosh <ed.bartosh@linux.intel.com> Signed-off-by: Michael Wood <michael.g.wood@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'bitbake')
-rwxr-xr-xbitbake/bin/toaster6
1 files changed, 3 insertions, 3 deletions
diff --git a/bitbake/bin/toaster b/bitbake/bin/toaster
index 5cc77edb33..dfaff2e071 100755
--- a/bitbake/bin/toaster
+++ b/bitbake/bin/toaster
@@ -252,9 +252,9 @@ case $CMD in
fi
# Create configuration file
- conf=${BUILDDIR}/conf/toaster.conf
- echo "# Created by toaster start script" > $conf
- echo "INHERIT+=\"toaster buildhistory\"" >> $conf
+ conf=${BUILDDIR}/conf/local.conf
+ line='INHERIT+="toaster buildhistory"'
+ grep -q "$line" $conf || echo $line >> $conf
if [ $WEBSERVER -gt 0 ] && ! webserverStartAll; then
echo "Failed ${CMD}."